Subject: Re: [tcpm] TCP Connection ID

From: Yoshifumi Nishida <[email-masked]>
Date: Mon, 1 Jun 2020 01:14:14 -0700

+1
BTW, it seems to me that the use case for using connection ID in this
thread is load balancers. But, it sounds over-engineering to me if we
design it for this purpose.
QUIC's connection ID may be able to be used in LB cases with some
additional logic, but it was designed for more fundamental purposes.
--
Yoshi

On Wed, May 27, 2020 at 10:18 AM Joseph Touch <[email-masked]> wrote:

>
>
> On May 25, 2020, at 11:51 PM, Olivier Bonaventure <
> [email-masked]> wrote:
>
> Another possibility would be to place the connection id in the network
> layer, see doi:10.1109/TNET.2018.2799242
>
>
> Not unless the network layer is establishing the connection, IMO.
>
> In IP, connections are transport layer and above; they shouldn’t be buried
> elsewhere. (And no, a flow ID is not a connection ID, because one flow may
> represent multiple connections or one connection may use multiple flows).
>
> Joe
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>

---

From: Alexander Azimov <[email-masked]>
Date: Thu, 4 Jun 2020 17:49:22 +0300

Thank you all for the feedback.

I still think that it is worthy of trying even if it is applicable only for
the case of load balancers.
I will try to gather broader feedback from content/cloud providers to see
if they are looking/working on something similar.

пн, 1 июн. 2020 г. в 11:14, Yoshifumi Nishida <[email-masked]>:

>> In IP, connections are transport layer and above; they shouldn’t be
>> buried elsewhere. (And no, a flow ID is not a connection ID, because one
>> flow may represent multiple connections or one connection may use multiple
>> flows).
>>
>> Joe

-- 
Best regards,
Alexander Azimov